.top-collections,
.marketplace,
.category,
.news {
  margin: 0 0 45px;
}


//*===============HERO================

.hero {
  margin: 15px 0px 45px;

  &__inner {
    position: relative;
    justify-content: center;
    height: 100%;
    min-height: calc(100vh - 200px);
    border-radius: 16px;
    overflow: hidden;
    transition: .2s;
    z-index: 0;
  }

  &__body {
    padding: 30px;
    justify-content: space-between;
    height: 100%;
    width: 100%;
    max-width: 1300px;
  }

  &__content {
    max-width: 500px;
    margin-right: 100px;
  }

  &__title {
    max-width: 560px;
    font-size: 54px;
    font-weight: 800;
    letter-spacing: 2px;
    line-height: 1.3;
  }

  &__text {
    font-size: 18px;
    margin: 20px 0 30px;
    span {
      color: var(--main);
    }
  }

  &__buttons {
    gap: 25px;
  }

  &__btn {
    width: 140px;
    height: 55px;
    font-size: 18px;
    line-height: 55px;
  }

  .bg-slide-1 {
    background: rgb(65 170 253 / 10%);
  }
  .bg-slide-2 {
    background: rgb(197 184 142 / 10%);
  }
  .bg-slide-3 {
    background: rgb(64 139 123 / 10%);
  }
  .bg-slide-4 {
    background: rgb(70 70 70 / 10%);
  }
}

.slider-hero {
  position: relative;
  width: 100%;
  max-width: 480px;
  min-width: 0px;

  &__container {
    position: relative;
    padding: 100% 0 0 0;
    width: 100%;
    border-radius: 22px;
    overflow: hidden;
    isolation: isolate;
  }

  &__wrapper {
    position: absolute;
    width: 100%;
    top: 0;
  }


  &__item {
    position: relative;
    display: block;
    height: 100%;
    width: 100%;
    background: var(--main-008);

    &::before {
      content: "";
      position: absolute;
      inset: 0;
      z-index: 2;
      background: linear-gradient(rgba(0, 0, 0, 0) 60%, rgba(0, 0, 0, 0.8) 100%);
    }
  }

  &__title {
    position: absolute;
    bottom: 20px;
    left: 20px;
    font-size: 22px;
    line-height: 1;
    color: var(--white);
    z-index: 2;
  }

  &__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:hover {
    .slider-button {
      opacity: 1;
    }
    .swiper-button-disabled {
      opacity: 0;
    }
  }

  .slider-button {
    opacity: 0;
    border: 1px solid var(--main-01);

    &__next {
      right: -20px;
      top: 50%;
      transform: translateY(-50%) rotate(180deg);
    }

    &__prev {
      left: -20px;
      transform: translateY(-50%);
    }
  }
}

//*==========TOP-COLLECTIONS==========

.top-collections-slider {
  .slider-preloader {
   padding: 10px 2px;
  
    &__item {
      padding-top: 23.5%;
    }
  }
}

//*==========MARKETPLACE==========
.marketplace-slider{

  .slider-preloader {
    padding: 10px 2px;
   
     &__item {
       padding-top: 28%;
     }
   }
}

//*===========CATEGORY================

.category {
  &__content {
    padding: 10px 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
  }
}

.category-item {
  &__img {
    position: relative;
    width: 100%;
    padding-top: 56%;
    border-radius: 10px;

    img {
      position: absolute;
      top: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  &__title {
    padding: 12px 12px 6px;
    font-size: 20px;
    font-weight: 800;
    text-align: center;
  }
}


//*===========SLIDER-NEWS================

.news-slider {

  .slider-preloader {
    padding: 10px 2px;
   
     &__item {
       padding-top: 28%;
     }
   }
  .post-card {
    height: 415px;
    background-color: var(--bg);

    &__image-link {
      height: 100%;
      border-radius: 10px;
      overflow: hidden;
      isolation: isolate;
    }

    &__title {
      font-size: 18px;
    }

    &__footer {
      margin-top: auto;
      align-items: flex-end;
    }

    &__date {
      color: var(--main-06);
      margin-bottom: 0;
      margin-top: 30px;
    }
  }
}
